![libsbgnpy](./images/libsbgnpy.png)

`libsbgnpy` is a Python library to work with [SBGN](http://sbgn.github.io/sbgn/). This library is based on the SBGN XML schema and supports reading, writing, and validation of SBGN files.
The initial library was generated using [xsdata](https://github.com/tefra/xsdata). Additional utility functions for reading, writing, and rendering SBGN documents are provided.

![libsbgnpy screenshot](./images/libsbgnpy_screenshot.png)

The source code is available from the [https://github.com/matthiaskoenig/libsbgnpy](https://github.com/matthiaskoenig/libsbgnpy). To report bugs, request features, or ask questions, please file an [issue](https://github.com/matthiaskoenig/libsbgnpy/issues). Documentation with examples is available at https://matthiaskoenig.github.io/libsbgnpy/.

## How to cite
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.597155.svg)](https://doi.org/10.5281/zenodo.597155)

To cite `libsbgnpy`, use the following DOI: [10.5281/zenodo.597155](https://zenodo.org/badge/DOI/10.5281/zenodo.597155).

## License
- Source Code: [MIT](https://opensource.org/license/MIT)
- Documentation: [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/)

## Funding
Matthias König (MK) was supported by the Federal Ministry of Education and Research (BMBF, Germany) within the research network Systems Medicine of the Liver (LiSyM, grant number 031L0054). MK is supported by the Federal Ministry of Education and Research (BMBF, Germany) within ATLAS by grant number 031L0304B and by the German Research Foundation (DFG) within the Research Unit Program FOR 5151 QuaLiPerF (Quantifying Liver Perfusion-Function Relationship in Complex Resection - A Systems Medicine Approach) by grant number 436883643 and by grant number 465194077 (Priority Programme SPP 2311, Subproject SimLivA).
